package com.yc.ship.module.resource.api.room;

import com.yc.ship.module.resource.api.room.dto.RoomRespDTO;

import java.util.List;

public interface RoomApi {

    List<RoomRespDTO> getRoomList(Long shipId);

    List<RoomRespDTO> getRoomListByIds(List<Long> ids);

    /**
     * 搬单时获取可以选择的房间
     * @param shipId
     * @return
     */
    List<RoomRespDTO> getCanSelectRoomList(Long shipId, List<String> roomModelIdFloorList);
}
